--- title: "Get index" slug: "mi-get-index" updated: 2026-09-17T10:12:40Z published: 2026-09-17T10:12:40Z canonical: "api.ncloud-docs.com/mi-get-index" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get index Available in VPC Get the latest index details for a media asset. Since only the latest index is retained per asset, this query retrieves the latest index for the asset without specifying an index ID. Note You can only retrieve an index once the analysis is complete. If the analysis is not complete, the retrieval will fail. Check the analysis status via [Get media asset analysis status](/docs/en/mi-index-status). ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/workspaces/{workspace_name}/projects/{project_id}/assets/{asset_id}/index | ### Request headers For information about the headers common to all Media Intelligence APIs, see [Media Intelligence request headers](/docs/en/maiu-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `workspace_name` | String | Required | Workspace name | | `project_id` | String | Required | Project ID - See [Get project list](/docs/en/maiu-list-projects). | | `asset_id` | String | Required | Media asset ID - See [Get media asset list](/docs/en/mi-list-assets). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `confidence_level` | String | Optional | Filtering criteria based on confidence - `LOW` \| `MEDIUM` (default) \| `HIGH` - `LOW`: Display low confidence detection results (extract more keywords). - `MEDIUM`: Display medium confidence detection results (moderate keyword extraction). - `HIGH`: Display high confidence detection results (accurate keyword extraction). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://mi.apigw.ntruss.com/api/v1/workspaces/my-workspace/projects/1234/assets/5678/index?confidence_level=MEDIUM' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | [API processing result code](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `message` | String | - | [API processing result message](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C) | | `result` | Object | - | Analysis result | | `result.indexId` | Integer | - | Index ID | | `result.type` | String | - | Asset type - `IMAGE` \| `VIDEO` | | `result.createdTime` | String | - | Index creation date and time - ISO 8601 format | | `result.createdUserName` | String | - | User name that created the index | | `result.updatedTime` | String | - | Last index modification date and time - ISO 8601 format | | `result.updatedUserName` | String | - | User name who last edited the index | | `result.analysisSetting` | Object | - | Analysis configuration information | | `result.analysisSetting.analysisEngine` | String | - | Analysis engine version - Example: `v3.2` | | `result.analysisSetting.sceneRange` | String | Optional | (During video analysis) Length of automatically split scenes - `EXTRA_SHORT` \| `SHORT` \| `MEDIUM` (default) \| `LONG` - Image assets are displayed as null. - Displayed as null if analyzed with `minSceneDurationSec`/`maxSceneDurationSec`. | | `result.analysisSetting.minSceneDurationSec` | Integer | Optional | (During video analysis) Minimum scene duration set during the analysis request (second) - Displayed as null if analyzed using `sceneRange`. - Image assets are displayed as null. | | `result.analysisSetting.maxSceneDurationSec` | Integer | Optional | (During video analysis) Maximum scene duration set during the analysis request (second) - Displayed as null if analyzed using `sceneRange`. - Image assets are displayed as null. | | `result.analysisSetting.analysisPersonCount` | Integer | - | Number of people to detect when analyzing | | `result.analysisSetting.sourceLanguage` | String | - | Language information for the source video being analyzed - `KO` (default) \| `ENKO` \| `EN` \| `JA` \| `ZH-CN` \| `ZH-TW` | | `result.analysisSetting.detectAudioEffects` | Boolean | Optional | (During video analysis) Whether to add the audio effect set during analysis of the video - `true` \| `false` (default) | | `result.indexDetails` | Object | - | Index content information | | `result.indexDetails.durationMs` | Integer | Optional | (During video analysis) Video length (millisecond) - Image assets are displayed as 0. | | `result.indexDetails.fps` | Double | Optional | (During video analysis) Number of frames per second - Image assets are displayed as 0. | | `result.indexDetails.frameCount` | Integer | Optional | (During video analysis) Total frame count - Image assets are displayed as 0. | | `result.indexDetails.assetUrl` | String | - | Media asset source URL | | `result.indexDetails.segments` | Array | - | [Segment list](/docs/en/mi-get-index#%EC%84%B8%EA%B7%B8%EB%A8%BC%ED%8A%B8%EB%AA%A9%EB%A1%9D) | #### `result.indexDetails.segments` The following describes `segments`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `start` | Integer | Optional | (During video analysis) Segment start frame number. 0 for image assets. | | `end` | Integer | Optional | (During video analysis) Segment end frame number. 0 for image assets. | | `startMs` | Integer | Optional | (During video analysis) Segment start time (millisecond). 0 for image assets. | | `endMs` | Integer | Optional | (During video analysis) Segment end time (millisecond). 0 for image assets. | | `scene` | Integer | Optional | (During video analysis) Scene number. 0 for image assets. | | `shot` | Integer | Optional | (During video analysis) Shot number. 0 for image assets. | | `sceneThumbnailUrl` | String | Optional | (During video analysis) Thumbnail image URL (valid for 1 hour) | | `speeches` | Array | Optional | Utterance information | | `keywords` | Array | - | Keyword information | | `people` | Array | - | Character information | | `audioEvents` | Array | Optional | (During video analysis) Audio effect detection results - Provided only when analyzed using audio effect detection (`detectAudioEffects` set to `true`). - `startMs`/`endMs`: Audio effect duration (millisecond) - `type`: Audio effect type - `music`: Background music - `laughter`: Laughter - `clap`: Applause | ### Response status codes For information about the HTTP status codes common to all Media Intelligence APIs, see [Media Intelligence response status codes](/docs/en/maiu-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: **Index analyzed using a preset** ``` { "code": "0", "message": "success", "result": { "indexId": 1001, "type": "VIDEO", "createdTime": "2025-04-24T16:42:00", "createdUserName": "username", "updatedTime": "2025-04-24T16:43:08", "updatedUserName": "username", "analysisSetting": { "analysisEngine": "v3.2", "sceneRange": "MEDIUM", "minSceneDurationSec": null, "maxSceneDurationSec": null, "analysisPersonCount": 2, "sourceLanguage": "KO", "detectAudioEffects": true }, "indexDetails": { "durationMs": 20054, "fps": 29.97, "frameCount": 601, "assetUrl": "https://kr.object.ncloudstorage.com/maiu-my-storage/videos/1234/interview.mp4", "segments": [ { "start": 0, "end": 275, "startMs": 0, "endMs": 9176, "scene": 1, "shot": 1, "sceneThumbnailUrl": "https://kr.object.ncloudstorage.com/.../1234/1.jpg?X-Amz-...", "speeches": [ { "id": 180080, "startMs": 679, "endMs": 10195, "text": "Hello, thank you for joining us today for this interview.", "pid": "1", "name": "Speaker 1" } ], "keywords": [ { "category": "Behavior", "group": "Business, office, event", "text": "News anchor", "score": 87.23 } ], "people": [], "audioEvents": [ { "startMs": 3200, "endMs": 4100, "type": "clap" } ] } ] } } } ``` **Index analyzed by specifying scene length manually** ``` { "code": "0", "message": "success", "result": { "indexId": 1002, "type": "VIDEO", "createdTime": "2025-04-24T16:42:00", "createdUserName": "username", "updatedTime": "2025-04-24T16:43:08", "updatedUserName": "username", "analysisSetting": { "analysisEngine": "v3.2", "sceneRange": null, "minSceneDurationSec": 15, "maxSceneDurationSec": 60, "analysisPersonCount": 2, "sourceLanguage": "KO", "detectAudioEffects": false }, "indexDetails": { "durationMs": 20054, "fps": 29.97, "frameCount": 601, "assetUrl": "https://kr.object.ncloudstorage.com/maiu-my-storage/videos/1234/interview.mp4", "segments": [] } } } ```